package com.zd.exam.mapper;

import com.zd.exam.domain.ElExamCertRelation;
import com.zd.exam.domain.ElUserCert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户考试获取的证书Mapper接口
 *
 * @author zd
 * @date 2021-09-13
 */
public interface ElUserCertMapper {
    /**
     * 查询用户考试获取的证书
     *
     * @param id 用户考试获取的证书主键
     * @return 用户考试获取的证书
     */
    public ElUserCert selectElUserCertById(Long id);

    /**
     * 查询用户考试获取的证书列表
     *
     * @param elUserCert 用户考试获取的证书
     * @return 用户考试获取的证书集合
     */
    public List<ElUserCert> selectElUserCertList(ElUserCert elUserCert);

    /**
     * 新增用户考试获取的证书
     *
     * @param elUserCert 用户考试获取的证书
     * @return 结果
     */
    public int insertElUserCert(ElUserCert elUserCert);

    /**
     * 修改用户考试获取的证书
     *
     * @param elUserCert 用户考试获取的证书
     * @return 结果
     */
    public int updateElUserCert(ElUserCert elUserCert);

    /**
     * 删除用户考试获取的证书
     *
     * @param id 用户考试获取的证书主键
     * @return 结果
     */
    public int deleteElUserCertById(Long id);

    /**
     * 批量删除用户考试获取的证书
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElUserCertByIds(Long[] ids);

    List<ElUserCert> selectByCertIds(@Param("examCertRelations") List<ElExamCertRelation> examCertRelations, @Param("userId") Long userId);

    List<ElUserCert> queryMyCert(ElUserCert userCert);
}
